<template>
    <lightning-card title={getTitle} icon-name="custom:custom54">
      <lightning-layout multiple-rows="true">
        <template if:true={noBoats}>
          <p class="slds-align_absolute-center">There are no related boats by {similarBy}!</p>
        </template>
        <template if:false={noBoats}>
            <template for:each={relatedBoats} for:item="boat">
              <lightning-layout-item key={boat.Id} padding="around-small" size="12" small-device-size="6" 
              medium-device-size="4"  large-device-size="4">
                <c-boat-tile boat={boat} onboatselect={openBoatDetailPage}></c-boat-tile>
              </lightning-layout-item>
            </template>
        </template>
      </lightning-layout>
    </lightning-card>
  </template>
  